Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1366635 - Review Request: python3-simpletal - An XML based template processor for TAL, TALES and METAL specifications
Summary: Review Request: python3-simpletal - An XML based template processor for TAL, ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Dominika Krejčí
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1309249
TreeView+ depends on / blocked
 
Reported: 2016-08-12 13:32 UTC by Thomas Moschny
Modified: 2016-09-10 05:20 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-09-05 17:52:40 UTC
dkrejci: fedora-review+


Attachments (Terms of Use)

Description Thomas Moschny 2016-08-12 13:32:50 UTC
Spec URL: https://thm.fedorapeople.org/reviews/python3-simpletal/python3-simpletal.spec
SRPM URL: https://thm.fedorapeople.org/reviews/python3-simpletal/python3-simpletal-5.2-1.fc23.src.rpm

Description:
SimpleTAL is a stand alone Python implementation of the TAL, TALES and
METAL specifications used in Zope to power HTML and XML templates.

Fedora Account System Username: thm

Comment 1 Dominika Krejčí 2016-08-23 11:41:38 UTC
You could use macro %{python3_version} in stead of * in files. ;)

%{python3_sitelib}/%{srcname}-%{version}-py%{python3_version}.egg-info

Comment 2 Dominika Krejčí 2016-08-23 12:05:13 UTC
Thomas, please, update the macro in files, the rest seems ok to me.


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated

===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[?]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: No rpmlint messages.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python3-simpletal-5.2-1.fc26.noarch.rpm
          python3-simpletal-5.2-1.fc26.src.rpm
python3-simpletal.src: W: strange-permission python3-simpletal.spec 600
2 packages and 0 specfiles checked; 0 errors, 1 warnings.




Rpmlint (installed packages)
----------------------------
1 packages and 0 specfiles checked; 0 errors, 0 warnings.



Requires
--------
python3-simpletal (rpmlib, GLIBC filtered):
    python(abi)



Provides
--------
python3-simpletal:
    python3-simpletal
    python3.5dist(simpletal)
    python3dist(simpletal)



Source checksums
----------------
http://www.owlfish.com/software/simpleTAL/downloads/SimpleTAL-5.2.tar.gz :
  CHECKSUM(SHA256) this package     : ddff80acdebfffc9cb7de2e20761936ea06fcc7cf362678d4b66bd7bbce9e8e2
  CHECKSUM(SHA256) upstream package : ddff80acdebfffc9cb7de2e20761936ea06fcc7cf362678d4b66bd7bbce9e8e2


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -b 1366635
Buildroot used: fedora-rawhide-x86_64
Active plugins: Python, Generic, Shell-api
Disabled plugins: Java, C/C++, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 3 Igor Gnatenko 2016-08-24 05:47:57 UTC
(In reply to Dominika Krejčí from comment #1)
> You could use macro %{python3_version} in stead of * in files. ;)
> 
> %{python3_sitelib}/%{srcname}-%{version}-py%{python3_version}.egg-info

Not really.

Comment 4 Dominika Krejčí 2016-08-24 06:38:57 UTC
(In reply to Igor Gnatenko from comment #3)
> (In reply to Dominika Krejčí from comment #1)
> > You could use macro %{python3_version} in stead of * in files. ;)
> > 
> > %{python3_sitelib}/%{srcname}-%{version}-py%{python3_version}.egg-info
> 
> Not really.

Why?

Comment 5 Petr Viktorin 2016-08-24 09:09:25 UTC
I think the * is fine.

Comment 6 Gwyn Ciesla 2016-08-24 11:46:38 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/python3-simpletal

Comment 7 Fedora Update System 2016-08-31 18:53:17 UTC
python3-simpletal-5.2-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-c980871bcf

Comment 8 Fedora Update System 2016-08-31 18:53:25 UTC
python3-simpletal-5.2-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-3ac481b243

Comment 9 Fedora Update System 2016-08-31 18:53:29 UTC
python3-simpletal-5.2-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-485f60f683

Comment 10 Fedora Update System 2016-09-01 19:52:32 UTC
python3-simpletal-5.2-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-485f60f683

Comment 11 Fedora Update System 2016-09-01 20:22:06 UTC
python3-simpletal-5.2-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-3ac481b243

Comment 12 Fedora Update System 2016-09-01 20:24:07 UTC
python3-simpletal-5.2-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-c980871bcf

Comment 13 Fedora Update System 2016-09-05 17:52:37 UTC
python3-simpletal-5.2-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2016-09-10 01:48:41 UTC
python3-simpletal-5.2-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2016-09-10 05:20:35 UTC
python3-simpletal-5.2-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.